Page Summary
-
The
listmethod forinventorySourceGroups.assignedInventorySourceslists inventory sources assigned to a specific inventory source group. -
The request uses a
GETHTTP method and requires theinventorySourceGroupIdas a path parameter. -
Optional query parameters like
pageSize,pageToken,orderBy, andfiltercan be used to control the results returned. -
The request body must be empty, and the response body contains a list of assigned inventory sources and a
nextPageTokenfor pagination. -
Authorization requires the
https://www.googleapis.com/auth/display-videoOAuth scope.
Lists inventory sources assigned to an inventory source group.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/inventorySourceGroups/{inventorySourceGroupId}/assignedInventorySources
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
inventorySourceGroupId |
Required. The ID of the inventory source group to which these assignments are assigned. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Requested page size. Must be between |
pageToken |
A token identifying a page of results the server should return. Typically, this is the value of |
orderBy |
Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix " desc" should be added to the field name. Example: |
filter |
Allows filtering by assigned inventory source fields. Supported syntax:
The length of this field should be no more than 500 characters. |
Union parameter accessor. Required. Identifies which DV360 entity the request is being made within. The LIST request will only return assigned inventory sources that are accessible to the DV360 entity identified within the accessor. accessor can be only one of the following: |
|
partnerId |
The ID of the partner that has access to the assignment. If the parent inventory source group is advertiser-owned, the assignment cannot be accessed via a partner. |
advertiserId |
The ID of the advertiser that has access to the assignment. If the parent inventory source group is partner-owned, only advertisers to which the parent group is explicitly shared can access the assigned inventory source. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
Response message for AssignedInventorySourceService.ListAssignedInventorySources.
| JSON representation |
|---|
{
"assignedInventorySources": [
{
object ( |
| Fields | |
|---|---|
assignedInventorySources[] |
The list of assigned inventory sources. This list will be absent if empty. |
nextPageToken |
A token to retrieve the next page of results. Pass this value in the |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.